# Class CIM_NextScheduler
extends CIM_NextService

This association is a subclass of NextService, and defines a predecessor-successor relationship between Packet SchedulingServices. In a hierarchical queuing configuration (where a second scheduler treats the output of a first scheduler as a single, aggregated input), the two schedulers are related via the NextScheduler association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_NextService
|
+--CIM_NextScheduler

## Direct Known Subclasses

CIM_FailNextScheduler

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association is a subclass of NextService, and defines a predecessor-successor relationship between Packet SchedulingServices. In a hierarchical queuing configuration (where a second scheduler treats the output of a first scheduler as a single, aggregated input), the two schedulers are related via the NextScheduler association.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
FollowingService | CIM_NextScheduler | CIM_PacketSchedulingService
PrecedingService | CIM_NextScheduler | CIM_PacketSchedulingService

## Class Methods